# HTTP 请求功能块使用说明

## 发送 GET 请求 (GetBp)

### 描述
本块用于发送 GET 请求。

### 输入参数

| 参数名         | 是否必填 | 类型     | 描述                |
|---------------|---------|---------|---------------------|
| url           | 必填     | String  | 请求的 URL          |
| header        | 非必填   | JsonPair | Header             |
| retry         | 非必填   | Boolean | 是否重试            |
| retryTimes    | 非必填   | Integer | 重试次数            |
| retryInterval | 非必填   | Long    | 重试时间间隔(ms)     |

### 上下文变量

| 变量名     | 类型    | 描述              |
|-----------|---------|-------------------|
| response  | String  | 请求返回的字符串   |

## 发送 POST 请求 (PostBp)

### 描述
本块用于发送 POST 请求。

### 输入参数

| 参数名         | 是否必填 | 类型     | 描述                |
|---------------|---------|---------|---------------------|
| url           | 必填     | String  | 请求的 URL          |
| param         | 必填     | String  | 请求的参数, JSON 类型 |
| header        | 非必填   | JsonPair | Header             |
| mediaType     | 非必填   | String  | 类型                |
| retry         | 非必填   | Boolean | 是否重试            |
| retryTimes    | 非必填   | Integer | 重试次数            |
| retryInterval | 非必填   | Long    | 重试时间间隔(ms)     |

### mediaType 选项

| 标签                               | 值                    |
|-----------------------------------|------------------------|
| 默认                              | JSON                   |
| application/json                  | JSON                   |
| text/html                         | HTML                   |
| application/xml                   | XML                    |
| application/x-www-form-urlencoded | XWWWFORMURLENCODED     |
| application/javascript            | JAVASCRIPT             |

### 上下文变量

| 变量名     | 类型     | 描述          |
|-----------|----------|---------------|
| response  | Object   | 响应的 JSON   |
</rewritten_file> 