# 库位功能块使用说明

## 批量设置库位 (BatchSettingSiteBp)

### 描述
本块用于批量设置库位属性。

### 输入参数

| 参数名      | 是否必填 | 类型      | 描述         |
|------------|---------|----------|--------------|
| siteIds    | 非必填   | JSONArray | 库位Ids      |
| groupNames | 非必填   | JSONArray | 库区集       |
| filled     | 必填     | Boolean  | 占用         |
| content    | 非必填   | String   | 货物         |
| type       | 非必填   | Boolean  | 是否物理库位  |

### 输出参数
无

## 获取密集库位 (GetIdleCrowdedSiteBp)

### 描述
本块用于获取密集库位。

### 输入参数

| 参数名      | 是否必填 | 类型      | 描述                |
|------------|---------|----------|---------------------|
| groupName  | 必填     | JSONArray | 库区集              |
| filled     | 必填     | Boolean  | 取/放               |
| content    | 非必填   | String   | 货物(取)            |
| lock       | 非必填   | Boolean  | 获取库位后是否锁定    |
| retry      | 必填     | Boolean  | 是否重试            |
| retryPeriod | 非必填   | Long     | 重试时间间隔(ms)     |
| retryNum   | 非必填   | Long     | 重试次数            |

### 上下文变量

| 变量名 | 类型   | 描述       |
|-------|--------|------------|
| siteId | String | 选出的库位 |

### 输出参数
无

## 获取库位 (GetIdleSiteBp)

### 描述
本块用于获取库位。

### 输入参数

| 参数名      | 是否必填 | 类型     | 描述                |
|------------|---------|---------|---------------------|
| siteId     | 非必填   | String  | 库位ID              |
| content    | 非必填   | String  | 货物                |
| filled     | 非必填   | Boolean | 是否有货物           |
| locked     | 必填     | Boolean | 是否已锁定           |
| type       | 非必填   | Boolean | 是否物理库位         |
| groupName  | 非必填   | String  | 库区名              |
| lock       | 非必填   | Boolean | 获取库位后是否锁定    |
| retryPeriod | 非必填   | Long    | 重试时间间隔(ms)     |
| ifFair     | 非必填   | Boolean | 是否为公平锁         |
| orderDesc  | 非必填   | Boolean | 是否为降序           |

### 上下文变量

| 变量名 | 类型   | 描述       |
|-------|--------|------------|
| siteId | String | 选出的库位 |

### 输出参数
无

## 根据任务实例ID获取所有加锁库位 (GetLockedSitesByTaskRecordIdBp)

### 描述
本块用于根据任务实例ID获取所有加锁库位。

### 输入参数

| 参数名        | 是否必填 | 类型   | 描述       |
|--------------|---------|--------|------------|
| taskRecordId | 必填     | String | 任务实例Id |

### 上下文变量

| 变量名           | 类型   | 描述                       |
|-----------------|--------|----------------------------|
| lockedSiteIdList | String | 该任务实例的所有加锁库位列表 |

### 输出参数
无

## 获取库位扩展属性值 (GetSiteAttrBp)

### 描述
本块用于获取库位扩展属性值。

### 输入参数

| 参数名    | 是否必填 | 类型   | 描述     |
|----------|---------|--------|----------|
| siteId   | 必填     | String | 库位Id   |
| attrName | 必填     | String | 属性名称  |

### 上下文变量

| 变量名    | 类型   | 描述   |
|----------|--------|--------|
| attrValue | String | 属性值 |

### 输出参数
无

## 查询库位 (QueryIdleSiteBp)

### 描述
本块用于查询库位。

### 输入参数

| 参数名     | 是否必填 | 类型     | 描述         |
|-----------|---------|---------|--------------|
| siteId    | 非必填   | String  | 库位ID       |
| content   | 非必填   | String  | 货物         |
| filled    | 非必填   | Boolean | 是否有货物    |
| locked    | 非必填   | Boolean | 是否已锁定    |
| type      | 非必填   | Boolean | 是否物理库位  |
| groupName | 非必填   | String  | 库区名       |
| orderDesc | 非必填   | Boolean | 是否为降序    |

### 上下文变量

| 变量名 | 类型   | 描述       |
|-------|--------|------------|
| site  | Object | 选出的库位  |

### 输出参数
无

## 设置库位扩展属性 (SetSiteAttrBp)

### 描述
本块用于设置库位扩展属性。

### 输入参数

| 参数名     | 是否必填 | 类型   | 描述     |
|-----------|---------|--------|----------|
| siteId    | 必填     | String | 库位Id   |
| attrName  | 必填     | String | 属性名称  |
| attrValue | 非必填   | String | 属性值   |

### 输出参数
无

## 设置库位货物 (SetSiteContentBp)

### 描述
本块用于设置库位货物。

### 输入参数

| 参数名   | 是否必填 | 类型   | 描述    |
|---------|---------|--------|---------|
| siteId  | 必填     | String | 库位Id  |
| content | 必填     | String | 货物    |

### 输出参数
无

## 设置库位为空 (SetSiteEmptyBp)

### 描述
本块用于设置库位为空。

### 输入参数

| 参数名  | 是否必填 | 类型   | 描述    |
|--------|---------|--------|---------|
| siteId | 必填     | String | 库位Id  |

### 输出参数
无

## 设置库位为占用 (SetSiteFilledBp)

### 描述
本块用于设置库位为占用状态。

### 输入参数

| 参数名  | 是否必填 | 类型   | 描述    |
|--------|---------|--------|---------|
| siteId | 必填     | String | 库位Id  |

### 输出参数
无

## 锁定库位 (SetSiteLockedBp)

### 描述
本块用于锁定库位。

### 输入参数

| 参数名      | 是否必填 | 类型     | 描述         |
|------------|---------|---------|--------------|
| siteId     | 必填     | String  | 库位Id       |
| ifFair     | 非必填   | Boolean | 是否为公平锁  |
| lockedId   | 非必填   | String  | 加锁者       |
| retryTimes | 非必填   | Integer | 重试次数     |

### 上下文变量

| 变量名   | 类型     | 描述       |
|---------|----------|------------|
| success | Boolean  | 锁定成功    |

### 输出参数
无

## 设置库位标签 (SetSiteTagsBp)

### 描述
本块用于设置库位标签。

### 输入参数

| 参数名  | 是否必填 | 类型   | 描述    |
|--------|---------|--------|---------|
| siteId | 必填     | String | 库位Id  |
| tags   | 非必填   | String | 标签    |

### 输出参数
无

## 解锁库位 (SetSiteUnlockedBp)

### 描述
本块用于解锁库位。

### 输入参数

| 参数名      | 是否必填 | 类型   | 描述     |
|------------|---------|--------|----------|
| siteId     | 必填     | String | 库位Id   |
| unLockedId | 非必填   | String | 解锁者   |

### 输出参数
无 