#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
块处理器初始化模块
导入所有处理器模块，确保它们能被注册
"""

# 按优先级顺序导入处理器，确保所有处理器都被正确注册
from . import base
from . import core
from . import task
from . import foundation
from . import sub_task
from . import script
from . import progress
from . import htttp_request
from . import robot_scheduling
from . import storage_location
from . import modbus_equipment

__all__ = [
    "base"
]
